Skip to content

bridge.get_community_context ​

Purpose ​

For a community/account pair, returns the account's role, title, and subscribed state.

Parameters: name:string (community name, e.g.: hive-123456); account:string

Also see: bridge.get_community

Parameters ​

PARAMETERS
json
{
  "name": "hive-108451",
  "account": "steemit"
}

Example ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "bridge.get_community_context",
    "params": {
      "name": "hive-108451",
      "account": "steemit"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "role": "guest",
  "title": "",
  "subscribed": false
}